Package org.eclipse.birt.core.util

# Class BTreeUtil.ReaderTreeFile

java.lang.Object
org.eclipse.birt.core.util.BTreeUtil.ReaderTreeFile

All Implemented Interfaces:
  `org.eclipse.birt.core.btree.BTreeConstants`, `org.eclipse.birt.core.btree.BTreeFile`

Enclosing class:
  `BTreeUtil`

public static class BTreeUtil.ReaderTreeFile extends Object implements org.eclipse.birt.core.btree.BTreeFile

## Field Summary

### Fields inherited from interface org.eclipse.birt.core.btree.BTreeConstants

`BLOCK_SIZE, BTREE_VERSION_0, HEAD_BLOCK_ID, MAGIC_TAG, MAX_NODE_SIZE, MIN_ENTRY_COUNT, NODE_EXTRA, NODE_INDEX, NODE_LEAF, NODE_VALUE, ROOT_BLOCK_ID`

## Method Summary

Modifier and Type
Method
Description
`int`
`allocBlock()`
`void`
`close()`
`int`
`getTotalBlock()`
`Object`
`lock()`
`void`
`readBlock(int blockId, byte[] bytes)`
`void`
`unlock(Object lock)`
`void`
`writeBlock(int blockId, byte[] bytes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### allocBlock

public int allocBlock() throws IOException

Specified by:
  `allocBlock` in interface `org.eclipse.birt.core.btree.BTreeFile`
Throws:
  `IOException`

### getTotalBlock

public int getTotalBlock() throws IOException

Specified by:
  `getTotalBlock` in interface `org.eclipse.birt.core.btree.BTreeFile`
Throws:
  `IOException`

### lock

public Object lock() throws IOException

Specified by:
  `lock` in interface `org.eclipse.birt.core.btree.BTreeFile`
Throws:
  `IOException`

### readBlock

public void readBlock(int blockId, byte[] bytes) throws IOException

Specified by:
  `readBlock` in interface `org.eclipse.birt.core.btree.BTreeFile`
Throws:
  `IOException`

### unlock

public void unlock(Object lock) throws IOException

Specified by:
  `unlock` in interface `org.eclipse.birt.core.btree.BTreeFile`
Throws:
  `IOException`

### writeBlock

public void writeBlock(int blockId, byte[] bytes) throws IOException

Specified by:
  `writeBlock` in interface `org.eclipse.birt.core.btree.BTreeFile`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `org.eclipse.birt.core.btree.BTreeFile`
Throws:
  `IOException`